@ECHO OFF

REM BEGIN CMVC
REM *************************************************************************
REM
REM   Workfile: %W%
REM   Last update: %E% %U%
REM   SCCS path, id: %F% %I%
REM
REM ************************************************************************/
REM CMVC
REM *BEGIN COPYRIGHT */
REM *************************************************************************
REM *
REM *  Licensed Materials - Property of IBM
REM *  WA81 SupportPac
REM *  (c) Copyright IBM Corp. 1999, 2001
REM *  US Government Users Restricted Rights - Use, duplication or
REM *  disclosure restricted by GSA ADP Schedule Contract
REM *  with IBM Corp.
REM *
REM ************************************************************************/
REM END COPYRIGHT */
REM BEGIN DISCLAIMER
REM *************************************************************************
REM   DISCLAIMER
REM   ----------
REM   This material contains programming source code for your consideration.
REM   These examples have not been thoroughly tested under all conditions.
REM   IBM, therefore, cannot guarantee or imply reliability, serviceability,
REM   or function of these programs.
REM   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
REM   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
REM   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
REM   FOR A PARTICULAR PURPOSE.
REM ************************************************************************/
REM END DISCLAIMER

REM -----------------------------------------------
REM -- WebSphere configuration script            --
REM -----------------------------------------------
REM -- Adapt to your specific environment        --
REM -----------------------------------------------

REM Set to the WebSphere installation directory
REM For example, d:\WebSphere\AppServer
REM ------------------------------------------------------
set WAS_HOME=

REM Set to the Java installation directory
REM For WAS V3.5, use the built-in JRE: %WAS_HOME%\jdk\jre
REM ------------------------------------------------------
set JDK_HOME=

REM Set to the hostname of the WebSphere administration server
REM Note: 'localhost' cannot be used here, use the 'hostname'
REM command on your WAS server to find out the hostname.
REM -----------------------------------------------------------
set ADMIN_NODE=

REM Don't change anything below this line
REM =====================================

if exist %WAS_HOME%\bin\XMLConfig.bat goto chkAdminNode
echo WAS_HOME is not set correctly (%WAS_HOME%\bin\XMLConfig.bat does not exist)!
goto end

:chkAdminNode
if not '%ADMIN_NODE%' == '' goto run
echo You must set ADMIN_NODE before running this script!
goto end

:run
set OP=%PATH%
set PATH=%WAS_HOME%\bin;%PATH%
set OCP=%CLASSPATH%
set CLASSPATH=%WAS_HOME%\lib\swingall.jar;fmcohcli.jar;%CLASSPATH%

%JDK_HOME%\bin\java com.ibm.workflow.util.cfg.ConfigureWAS
if errorlevel 1 goto clean
call XMLConfig.bat -adminNodeName %ADMIN_NODE% -import was3.xml

:clean
set WAS_HOME=
set ADMIN_NODE=
set PATH=%OP%
set OP=
set CLASSPATH=%OCP%
set OCP=
:end
