<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             class="com.ibm.workflow.servlet.client.LogonContext"/>
<% context.init(request); %>

<html>
<head>
<meta http-equiv="Expires" content="0">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<title>IBM MQSeries Workflow Web Client <%=context.get("Logon.Title")%></title>

<link rel="stylesheet" type="text/css" href="<%=context.getURL("{_HTMLDir_}/webclientstyle.css")%>">
<style type="text/css">
<!--
#picture
{
  position   : absolute;
  visibility : hide;
  z-index    : 1;
}
#foreground
{
  position   : absolute;
  visibility : show;
  margin-top : 1cm;
  z-index    : 2;
}
.logontitle
{
  font-family: Arial, Helvetica, sans-serif;
  font-size  : 18pt;
  font-weight: bold;
}
td
{
  font-family: Arial, Helvetica, sans-serif;
  font-size  : 10pt;
}
// -->
</style>

<script language="JavaScript">
<!--
// Dummy for browsers that do not know JavaScript 1.2.
function backgroundinit(name,imgURL)
{
}
//-->
</script>

<script language="JavaScript1.2" src="<%=context.getURL("{_HTMLDir_}/dhtml.js")%>"></script>

<script language="JavaScript">
<!--
function init(document)
{
  var form;

  if (browser.isNS)
    form = document.foreground.document.forms[0];
  else
    form = document.forms[0];

  with (form)
  {
    var date = new Date();
    timezoneOffset.value = date.getTimezoneOffset();
    userID.focus();
  }

  // enable for moving logo
  // backgroundinit('picture','<%=context.getURL("{_HTMLDir_}/images/back_img.gif")%>');
}

// Make sure userID and password have been entered.
function ValidateForm(form)
{
  with (form)
  {
    if (userID.value == "")
    {
      alert("<%=context.get("Logon.MissingUserID")%>");
      userID.focus();
      return false;
    }

    if (password.value == "")
    {
      alert("<%=context.get("Logon.MissingPassword")%>");
      password.focus();
      return false;
    }
  }

  return true;
}

//-->
</script>

</head>

<body onLoad="init(document);" background="<%=context.getURL("{_HTMLDir_}/images/raute_back.gif")%>">

<div id="picture"></div>
<div id="foreground">

<% String message = context.getMessage();
   if (message != null)
   { %>
<font size="+2" color="#ff0000"><%=message%></font>
<% } %>

<form action="<%=context.getServletName()%>" method="post" onSubmit="return ValidateForm(this);">
  <input type="hidden" name="command" value="logon">
  <input type="hidden" name="timezoneOffset" value=""> <!-- set below -->
  <% java.util.Enumeration params = context.getParameterNames();
     while (params != null && params.hasMoreElements())
     {
       String name = (String) params.nextElement();
       if ("userID".equals(name)) continue;
     %><input type="hidden" name="<%=name%>" value="<%=context.getParameter(name)%>">
  <% } %>
  <table border="0" width="100%">
    <tr>
      <td valign="middle">
        <table border="0" width="380">
          <colgroup span="2"></colgroup>
          <tr>
            <td colspan="2">
              <span class="logontitle">
                Web Client V2.4<br>
                <%=context.get("Logon.Header")%>
              </span>
              <br><br>
            </td>
          </tr>
          <tr>
            <label>
              <td width="130"><b><%=context.get("Logon.UserID")%></b></td>
              <td width="250"><input type="text" name="userID"
                                   value="<%=context.getParameter("userID", "")%>"></td>
            </label>
          </tr>
          <tr>
            <label>
              <td><b><%=context.get("Logon.Password")%></b></td>
              <td><input type="password" name="password"></td>
            </label>
          </tr>
          <tr>
            <label>
              <td><b><%=context.get("Logon.Group")%></b></td>
              <td><input type="text" name="group"></td>
            </label>
          </tr>
          <!-- tr>
            <label>
              <td><b><%=context.get("Logon.System")%></b></td>
              <td><input type="text" name="system"></td>
            </label>
          </tr -->
          <tr>
            <label>
              <td colspan="2"><b><input type="checkbox" name="SessionMode" value="PRESENT_HERE">
              <%=context.get("Logon.Force")%></b></td>
            </label>
          </tr>
          <tr>
            <td colspan="2">&nbsp;</td>
          </tr>
          <tr>
            <td></td>
            <td>
              <input name="Logon" type="submit" value="<%=context.get("Logon.OK")%>">
              <input name="Clear" type="reset" value="<%=context.get("Logon.Clear")%>" onBlur="userID.focus()">
            </td>
          </tr>
        </table>
      </td>
      <td width="100%" align="center" valign="middle">
        <img src="<%=context.getURL("{_HTMLDir_}/images/big_raute.gif")%>"><br><br>
      </td>
    </tr>
  </table>
</form>
</div>

</body>
</html>
