<?xml version='1.0'?>

<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version    = '1.0'>

<!-- ========================================================= -->
<!-- For the root                                              -->
<!-- ========================================================= -->
<xsl:template match='/'>
  <wml>
    <template>
      <do label="Logoff" type="accept" name="logoff"><go href="/MQWFClient/servlet/Main?command=logoff"/></do>
    </template>

    <xsl:apply-templates/>

  <!-- ========================================================= -->
  <!-- the navigation card                                       -->
  <!-- ========================================================= -->
  <card id="lists" title="Navigation">
    <p>
      <template>
        <do label="Back" type="prev" name="back"><prev/></do>
      </template>

      <anchor title="worklist">WorkList
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="queryWorkItems"/>
          <postfield name="id"><xsl:attribute name="value"><xsl:value-of select='RequestContext/Navigation/WorkListOid'/></xsl:attribute></postfield>
          <postfield name="useCache" value="true"/>
        </go>
      </anchor><br/>
      <anchor title="templatelist">TemplateList
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="queryProcessTemplates"/>
          <postfield name="id"><xsl:attribute name="value"><xsl:value-of select='RequestContext/Navigation/TemplateListOid'/></xsl:attribute></postfield>
          <postfield name="useCache" value="true"/>
        </go>
      </anchor><br/>
      <anchor title="instancelist">InstanceList
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="queryProcessInstances"/>
          <postfield name="id"><xsl:attribute name="value"><xsl:value-of select='RequestContext/Navigation/InstanceListOid'/></xsl:attribute></postfield>
          <postfield name="useCache" value="true"/>
        </go>
      </anchor><br/>
    </p>
  </card>

  </wml>
</xsl:template>

</xsl:stylesheet>
