<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP Filter Assistant Viewer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<html>
<head>
<title>Filter Assistant</title>

<%
  String count="14";
  String elementname="";
  int kindOfList;

  if (context.getKindOfList()==SessionContext.LISTS)
 	  kindOfList = context.getKindOfSelectedList();
  else
    kindOfList = context.getKindOfList();

  if (kindOfList==SessionContext.WORKLIST)
  {
    elementname="Work Items";
  }
  else if (kindOfList==SessionContext.INSTANCELIST)
  {
    count="8";
    elementname="Process Instances";
  }
  else if (kindOfList==SessionContext.TEMPLATELIST)
  {
    elementname="Process Templates";
  }
%>

<style type="text/css">

.block {
  font-family    : sans-serif;
  font-size      : 10pt;
  font-weight    : bold;
  visibility     : hidden;
}

td {
  font-family    : arial;
  font-size      : 7pt;
  font-weight    : bold;
}

</style>

<script language="JavaScript" src="../dhtml.js"></script>
<script language="JavaScript">
  <!--

  // String Array of States defined in init()
  var stateArray = new Array();

  // Determine browser.

  function init(toshow)
  {
    var rest=getLayer("Rest");
    var x,y;
    showLayer(getLayer(toshow));
    showLayer(rest);
    x = 10;
    y = getBottom(getLayer(toshow))+50;
    moveLayerTo(rest, x, y);
  <%if (kindOfList!=SessionContext.TEMPLATELIST)
    {
      int index=1;
      for (int ndx=1; ndx<(new Integer(count)).intValue()+1; ndx++)
      {
        if (kindOfList==SessionContext.WORKLIST)
        {
          if (context.getRealWIStringForState(com.ibm.workflow.api.ItemPackage.ExecutionState.from_int(ndx))!="DELETED")
          {%>
      stateArray[eval("<%=new Integer(index-1).toString()%>")]="<%=context.getRealWIStringForState(com.ibm.workflow.api.ItemPackage.ExecutionState.from_int(ndx))%>";
      <%    index++;
          }
        }
        else if (kindOfList==SessionContext.INSTANCELIST)
        {
          if (context.getRealPIStringForState(com.ibm.workflow.api.ProcessInstancePackage.ExecutionState.from_int(ndx))!="DELETED")
          {%>
      stateArray[eval("<%=new Integer(index-1).toString()%>")]="<%=context.getRealPIStringForState(com.ibm.workflow.api.ProcessInstancePackage.ExecutionState.from_int(ndx))%>";
      <%    index++;
          }
        }
      }
    }%>
  }

  function getBottom(layer)
  {
    if (browser.isNS)
      return(layer.top + getHeight(layer));
    else if (browser.isIE)
      return(layer.style.pixelTop + getHeight(layer));
    return(-1);
  }

  function getFilter()
  {
    var txt     = "";

  <%if (kindOfList==SessionContext.TEMPLATELIST)
    {%>
    if (filterForm.filtername.value!="") txt="NAME LIKE '"+filterForm.filtername.value+"'";
    if (filterForm.filtercategory.value!="")
      if (txt=="") txt="CATEGORY LIKE '"+filterForm.filtercategory.value+"'";
      else txt=txt+" AND CATEGORY LIKE '"+filterForm.filtercategory.value+"'";
  <%}
    else
    {%>
    if (filterForm.owner[1].checked)
      txt="OWNER = CURRENT_USER";

    <!-- are all states selected? -->>
    var isallselected = true;
    for (var index=1;index<eval("<%=count%>");index++)
    {
      if (!filterForm['check'+index].checked)
      {
        isallselected = false;
        break;
      }
    }
    if (isallselected) return txt;

    <!-- adding the states to the help string 'txt' -->
    if (txt != "") txt = txt+" AND STATE IN (";
    else txt = "STATE IN (";

    for (var index = 1;index<eval("<%=count%>");index++)
    {
      if (filterForm['check'+index].checked)
        txt = txt+stateArray[index-1]+", ";
    }
    txt=txt.substring(0,txt.length-2);
    txt=txt+")";
  <%}%>
    return txt;
  }

  function setData()
  {
    var filterString = "";
    var isselected   = true;

    <!-- validation of the state input - is any state selected? -->>
  <%if (kindOfList!=SessionContext.TEMPLATELIST)
    {%>
    isselected = false;
    for (var index=1;index<eval("<%=count%>");index++)
    {
      if (filterForm['check'+index].checked)
      {
        isselected = true;
        break;
      }
    }
  <%}%>

    <!-- if validation was ok transfer to parent window -->
    if (isselected)
    {
//      opener.gotoTab("list");
      opener.document.listForm.Filter.value = getFilter();
      window.close();
    }
    else alert("Please select at least one state!");
  }

  function setAllCheckboxes(state)
  {
    var index=1;
    for (index;index<eval("<%=count%>");index++)
    {
      filterForm["check"+index].checked = state;
    }
  }
  //-->
  </script>

  </head>
  <%if (kindOfList!=SessionContext.TEMPLATELIST)
    {%>
  <body bgcolor="#C6C6C6" onload="javascript:init('WListOrIList')">
  <%}
    else
    {%>
  <body bgcolor="#C6C6C6" onload="javascript:init('TList')">
  <%}%>
<form name='filterForm'>
<%if (kindOfList!=SessionContext.TEMPLATELIST)
  {%>

  <div id="WListOrIList" class="block">
    <b><%=context.get("FilterAssistantViewer.ShowWhichBelongTo", elementname)%></b>
    <br>
    <label>
      <input type=radio width="20" name="owner" value="all" checked>&nbsp;
      <font face="arial" size="2"><%=context.get("FilterAssistantViewer.Anybody")%></font><br>
    </label>
    <label>
      <input type=radio width="20" name="owner" value="one">&nbsp;
      <font face="arial" size="2"><%=context.get("FilterAssistantViewer.Me")%></font><br>
    </label>

    <hr>

    <font face="arial" size="2"><b><%=context.get("FilterAssistantViewer.ShowWithState", elementname)%></b></font>
    <br>
    <table width="100%">
    <tr>
      <td width ="25%" valign=top>

    <script language="JavaScript">
    <!--
      var maxrows    = 4;
      var statecount = eval("<%=count%>");
      var state = new Array();
      <%int index=1;
        for (int ndx=1; ndx<(new Integer(count)).intValue()+1; ndx++)
        {
          if (kindOfList==SessionContext.WORKLIST)
          {
            if (context.getRealWIStringForState(com.ibm.workflow.api.ItemPackage.ExecutionState.from_int(ndx))!="DELETED")
            {%>
      state[eval("<%=new Integer(index-1).toString()%>")]="<%=context.getWIStringForState(com.ibm.workflow.api.ItemPackage.ExecutionState.from_int(ndx))%>";
            <%index++;
            }
          }
          else if (kindOfList==SessionContext.INSTANCELIST)
          {
            if (context.getRealPIStringForState(com.ibm.workflow.api.ProcessInstancePackage.ExecutionState.from_int(ndx))!="DELETED")
            {%>
      state[eval("<%=new Integer(index-1).toString()%>")]="<%=context.getPIStringForState(com.ibm.workflow.api.ProcessInstancePackage.ExecutionState.from_int(ndx))%>";
            <%index++;
            }
          }
        }
      %>
      for (var ndx=1;ndx<statecount;ndx++)
      {
        document.write("<input type=checkbox name=\"check");
        document.write(ndx);
        document.write("\" value=\"");
        document.write(state[ndx-1]);
        document.write("\" checked>");
        document.write(state[ndx-1]);
        document.writeln("<br>");
        if (ndx%4==0)
        {
          document.writeln("</td>");
          document.writeln("<td width =\"25%\" valign=top>");
        }
      }
    //-->
    </script>

    </td>
    </tr>
    </table>

    <table width="100%">
    <tr>
      <td align="right">
        <input type=button value="<%=context.get("FilterAssistantViewer.SelectAll")%>" onClick="javascript:setAllCheckboxes(true)">
        &nbsp;
        <input type=button value="<%=context.get("FilterAssistantViewer.DeselectAll")%>" onClick="javascript:setAllCheckboxes(false)">
      </td>
    </tr>
    </table>
  </div>

<%}
  else
  {%>

  <div id="TList" class="block">
    <%=context.get("FilterAssistantViewer.InsertWildcard")%>
    <br>

    <table>
      <tr>
      <label>
        <td width="24"></td>
              <td width="280">
          <font size="2"><%=context.get("FilterAssistantViewer.ShowProcessTemplatesWithName")%></font>
        </td>
        <td><input type=text width="20" name="filtername"></td>
      </label>
    </tr>
    <tr>
      <label>
        <td width="24"></td>
        <td width="280">
          <font size="2"><%=context.get("FilterAssistantViewer.ShowProcessTemplatesWithCategory")%></font>
        </td>
        <td><input type=text width="20" name="filtercategory"></td>
      </label>
    </tr>
    </table>
    <br>
  </div>

<%}%>

  <div align="right" id="Rest" class="block">
    <hr>
    <input type=button value="<%=context.get("Command.OK")%>" onClick="javascript:setData()">
    <input type=button value="<%=context.get("Command.Cancel")%>" onClick="javascript:window.close()">
  </div>
  </form>
  </body>
</html>
