<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->

<%@ page isErrorPage="true" %>
<%@ page import="java.io.*" %>
<%@ page import="com.ibm.workflow.api.FmcException" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>

<html>
<head>
<title>IBM MQSeries Workflow Web Client - Error</title>
<link rel="stylesheet" type="text/css" href="../webclientstyle.css">
</head>

<body>

<table width="100%" border="2" bordercolordark="#000000" bordercolorlight="#FFFFFF" cellpadding="0" cellspacing="0" class="navigator">
<tr>
  <td>
    <a href="javascript:history.back()">
    <img src="../images/navigation/back.gif" border="0" alt="Back"></a></td>
  <td width="100%">&nbsp;</td>
</tr>
</table>

<br>

<div class="title">
<% FmcException apiException = null;
   try {
     apiException = (FmcException) exception; %>
MQSeries Workflow API Message
<% }
   catch (ClassCastException ignored) { %>
MQSeries Workflow Message
<% } /* try */ %>
</div>

<br>

<table class="errormessage" border="2" bordercolordark="#FFFFFF" bordercolorlight="#000000" cellpadding="4" cellspacing="0" width="100%">
<tr><td>
<% if (apiException != null) { %>
  <%=apiException.messageText%>
<% } else {
     String stack = ClientException.getStack(exception);
     stack = RequestContext.replaceInString(stack, "\r\n", "\n");
     stack = RequestContext.replaceInString(stack, "\n", "<br>\r\n");
     new PrintWriter(out).println(stack);
   } /* if */ %>
</td></tr>
</table>

</body>
</html>
