<?xml version='1.0'?>

<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version    = '1.0'>

<!-- ========================================================= -->
<!-- The root template                                         -->
<!-- ========================================================= -->
<xsl:template match='/'>
  <wml>
    <template>
      <do label="Complete" type="accept" name="transfer">
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="transferWorkItem"/>
          <postfield name="id"><xsl:attribute name="value"><xsl:value-of select='RequestContext/WorkItem/PersistentOid'/></xsl:attribute></postfield>
          <postfield name="userID" value="$(userID)"/>
        </go></do>
      <do label="Cancel" type="prev" name="back"><prev/></do>
    </template>

    <xsl:apply-templates select="RequestContext/WorkItem"/>

  </wml>
</xsl:template>

<!-- ========================================================= -->
<!-- the RequestContext as the main tag being processed           -->
<!-- ========================================================= -->
<xsl:template match='RequestContext/WorkItem'>

 <!-- ========================================================= -->
 <!-- the transfer card                                         -->
 <!-- ========================================================= -->
  <card id="transfer" title="Transfer">
    <p>
      Item : <xsl:value-of select='Name'/><br/>
      Owner: <xsl:value-of select='Owner'/><br/>
      <anchor title="Properties">show properties
        <go href="/MQWFClient/servlet/Main">
          <postfield name="command" value="showWorkItemProperties"/>
          <postfield name="id"><xsl:attribute name="value"><xsl:value-of select='PersistentOid'/></xsl:attribute></postfield>
        </go>
      </anchor><br/>
      <br/>
      Transfer to<br/>
      userID: <input type="text" name="userID"/><br/>
    </p>
  </card>

</xsl:template>

</xsl:stylesheet>
