<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA81 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 1999, 2001                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%@ page language="java" info="'StartCreditRequest' JSP" %>

<html>
<head>
  <title>Start New Credit Request</title>
  <link rel="stylesheet" href="../creditsample.css">
</head>

<body>
<div class="title">Apply for a Credit (JSP version)</div>
<hr>
<form action="/MQWFClient/servlet/Main" method="post" name="startProcess">
  <p>
    <input type="hidden" name="command" value="createAndStartInstance">
    <input type="hidden" name="templateName" value="CreditRequest">
    <input type="hidden" name="SuccessLocation" value="/starter/CreditRequestStarted.jsp">
  </p>
  <br>
  <div class="instruction">To apply for a credit fill in the following information and submit:</div>
  <br>
  <br>
  <table width="100%">
    <tr>
      <td width="36%" class="label"><font class="label">First Name:</font></td>
      <td colspan="2" width="64%">
        <input type="text" name="FirstName" size="30">
      </td>
    </tr>
    <tr>
      <td width="36%" class="label"><font class="label">Last Name:</font></td>
      <td colspan="2" width="64%">
        <input type="text" name="LastName" size="30">
      </td>
    </tr>
    <tr>
      <td width="36%" class="label"><font class="label">Social Security Number:</font></td>
      <td colspan="2" width="64%">
        <input type="text" name="instanceName" size="30">
      </td>
    </tr>
    <tr>
      <td width="36%">&nbsp;</td>
      <td colspan="2" width="64%">&nbsp;</td>
    </tr>
    <tr>
      <td width="36%">&nbsp;</td>
      <td colspan="2" width="64%">
        <input name="Start" type="submit" value="Submit">
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <input name="clear" type="reset" value="Clear">
      </td>
    </tr>
  </table>
  <br>
  <br>
</form>
</body>
</html>
